"use strict";
const common_vendor = require("../../../common/vendor.js");
const pages_public_asset_houses_method = require("./method.js");
const pages_public_asset_houses_model = require("./model.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWatermarkStore.js");
const common_store_useWeAppAuthStore = require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/naviHelper.js");
require("../../../common/libraries/userUserLogin.js");
if (!Math) {
  MyMeHouseItem();
}
const MyMeHouseItem = () => "./components/MeHouseItem.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_store_useWeAppAuthStore.useWeAppAuthStore();
    common_vendor.onLoad((e) => {
      var _a;
      pages_public_asset_houses_model.useModel.dataList.value = [];
      pages_public_asset_houses_model.useModel.selectType.value = e == null ? void 0 : e.type;
      (_a = pages_public_asset_houses_method.method) == null ? void 0 : _a.handleLoadMore(1);
    });
    return (_ctx, _cache) => {
      return {};
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/public/asset_houses/index.vue"]]);
wx.createPage(MiniProgramPage);
